<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerActionType](./bitburner.bladeburneractiontype.md)

## BladeburnerActionType enum

Action types of Bladeburner

**Signature:**

```typescript
declare enum BladeburnerActionType 
```

## Enumeration Members

|  Member | Value | Description |
|  --- | --- | --- |
|  BlackOp | <code>&quot;Black Operations&quot;</code> |  |
|  Contract | <code>&quot;Contracts&quot;</code> |  |
|  General | <code>&quot;General&quot;</code> |  |
|  Operation | <code>&quot;Operations&quot;</code> |  |

